Package com.ads.api.beans.common

# Enum Class APIConstants.LanguagePreference

java.lang.Object
java.lang.Enum<APIConstants.LanguagePreference>
com.ads.api.beans.common.APIConstants.LanguagePreference

All Implemented Interfaces:
  `Serializable`, `Comparable<APIConstants.LanguagePreference>`, `Constable`

Enclosing class:
  APIConstants

public static enum APIConstants.LanguagePreference extends Enum<APIConstants.LanguagePreference>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CHINESE`
  `ENGLISH`
  `FRENCH`
  `GERMAN`
  `HEBREW`
  `PORTUGESE`
  `RUSSIAN`
  `SPANISH`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `static APIConstants.LanguagePreference`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static APIConstants.LanguagePreference[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ENGLISH

    public static final APIConstants.LanguagePreference ENGLISH

  - ### CHINESE

    public static final APIConstants.LanguagePreference CHINESE

  - ### HEBREW

    public static final APIConstants.LanguagePreference HEBREW

  - ### FRENCH

    public static final APIConstants.LanguagePreference FRENCH

  - ### GERMAN

    public static final APIConstants.LanguagePreference GERMAN

  - ### RUSSIAN

    public static final APIConstants.LanguagePreference RUSSIAN

  - ### SPANISH

    public static final APIConstants.LanguagePreference SPANISH

  - ### PORTUGESE

    public static final APIConstants.LanguagePreference PORTUGESE

- ## Method Details

  - ### values

    public static APIConstants.LanguagePreference[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static APIConstants.LanguagePreference valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<APIConstants.LanguagePreference>`